## org.hibernate.testing.junit4
Class CallbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.testing.junit4.CallbackException

All Implemented Interfaces:
  Serializable

    public class CallbackException

extends RuntimeException

Indicates an exception while performing a callback on the test

See Also:
  Serialized Form

Constructor Summary
`CallbackException(Method method)`
`CallbackException(Method method, Throwable cause)`
`CallbackException(String message)`
`CallbackException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CallbackException

    public CallbackException(Method method)

### CallbackException

    public CallbackException(String message)

### CallbackException

    public CallbackException(Method method,
                             Throwable cause)

### CallbackException

    public CallbackException(String message,
                             Throwable cause)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.